classification
Title: FAQ about goto lacks answer
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, mlovqvist, terry.reedy
Priority: normal Keywords: patch

Created on 2021-02-11 09:44 by mlovqvist, last changed 2021-03-15 04:22 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24852 merged terry.reedy, 2021-03-13 23:46
PR 24862 merged miss-islington, 2021-03-14 22:12
PR 24863 merged miss-islington, 2021-03-14 22:12
Messages (4)
msg386825 - (view) Author: Mikael Lövqvist (mlovqvist) Date: 2021-02-11 09:44
In the FAQ there is a question "Why is there no goto?" but the answer addresses how to use exceptions to do something akin to goto. I think the documentation could benefit from the reasons why there is no goto or that the question is changed, perhaps "How to approximate goto?".

Reference: https://docs.python.org/3/faq/design.html#why-is-there-no-goto
msg388691 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-03-14 22:12
New changeset 5e29021a5eb10baa9147fd977cab82fa3f652bf0 by Terry Jan Reedy in branch 'master':
bpo-43199: Briefly explain why no goto (GH-24852)
https://github.com/python/cpython/commit/5e29021a5eb10baa9147fd977cab82fa3f652bf0
msg388706 - (view) Author: miss-islington (miss-islington) Date: 2021-03-15 04:21
New changeset c3f03333c3a9c7aa213a463c5928d33fd4049060 by Miss Islington (bot) in branch '3.9':
bpo-43199: Briefly explain why no goto (GH-24852)
https://github.com/python/cpython/commit/c3f03333c3a9c7aa213a463c5928d33fd4049060
msg388707 - (view) Author: miss-islington (miss-islington) Date: 2021-03-15 04:21
New changeset 59f2741c4a1a53d4122d2cb512337f4b88619de9 by Miss Islington (bot) in branch '3.8':
bpo-43199: Briefly explain why no goto (GH-24852)
https://github.com/python/cpython/commit/59f2741c4a1a53d4122d2cb512337f4b88619de9
History
Date User Action Args
2021-03-15 04:22:31terry.reedysetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: - Python 3.6, Python 3.7
2021-03-15 04:21:56miss-islingtonsetmessages: + msg388707
2021-03-15 04:21:44miss-islingtonsetmessages: + msg388706
2021-03-14 22:12:57miss-islingtonsetpull_requests: + pull_request23623
2021-03-14 22:12:47miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23622
2021-03-14 22:12:17terry.reedysetmessages: + msg388691
2021-03-13 23:46:39terry.reedysetkeywords: + patch
nosy: + terry.reedy

pull_requests: + pull_request23613
stage: patch review
2021-02-11 09:44:53mlovqvistcreate